
<FIELD_COMPUTE>
sweat.index=sweatindex.plevel(\
        air_temperature_pl:level=850hPa:units=celsius,\
        air_temperature_pl:level=500hPa:units=celsius,\
        dew_point_temperature_pl:level=850hPa:units=celsius,\
        dew_point_temperature_pl:level=500hPa:units=celsius,\
        x_wind_pl:level=850hPa,\
        y_wind_pl:level=850hPa,\
        x_wind_pl:level=500hPa,\
        y_wind_pl:level=500hPa)

lifted.index=showalterindex.plevel_th_rh(air_potential_temperature_pl:level=500hPa,air_potential_temperature_pl:level=925hPa,\
relative_humidity_pl:level=925hPa:unit=0.01)
lifted.index=showalterindex.plevel_tk_rh(air_temperature_pl:level=500hPa:unit=kelvin,\
air_temperature_pl:level=925hPa:unit=kelvin,relative_humidity_pl:unit=0.01:level=925hPa)

#DCI.index=(T850+Td850)-lifted.index
DCI.sum=add(air_temperature_pl:unit=celsius:level=850hPa,dew_point_temperature_pl:unit=celsius:level=850hPa)
DCI.index=subtract(DCI.sum,lifted.index)

min_w=min_value(upward_air_velocity_pl:vcoord)

##############################
# computations of horizontal wind shear

windshear=equivalent_to(vindsh)

# scale up to windshear per 100km
windshear100=multiply(windshear,100000)
abswindshear=abs(windshear100)

maxwindshear=max_value(\
        abswindshear:level=50hPa,\
        abswindshear:level=200hPa,\
        abswindshear:level=300hPa,\
        abswindshear:level=500hPa,\
        abswindshear:level=700hPa,\
        abswindshear:level=850hPa)
maxwindshear_all=max_value(abswindshear:vcoord)

##############################

dz.50-200=subtract(geopotential_height_pl:level=50hPa,geopotential_height_pl:level=200hPa)
dz.200-300=subtract(geopotential_height_pl:level=200hPa,geopotential_height_pl:level=300hPa)
dz.300-500=subtract(geopotential_height_pl:level=300hPa,geopotential_height_pl:level=500hPa)
dz.500-700=subtract(geopotential_height_pl:level=500hPa,geopotential_height_pl:level=700hPa)
dz.700-850=subtract(geopotential_height_pl:level=700hPa,geopotential_height_pl:level=850hPa)
dz.850-925=subtract(geopotential_height_pl:level=850hPa,geopotential_height_pl:level=925hPa)

# vertical wind shear Dvdz
du.50-200 = subtract(x_wind_pl:level=50hPa,x_wind_pl:level=200hPa)
dv.50-200 = subtract(y_wind_pl:level=50hPa,y_wind_pl:level=200hPa)
dV.50-200 = vector.abs(du.50-200,dv.50-200)
dVdz.50-200 = divide(dV.50-200,dz.50-200)

du.200-300 = subtract(x_wind_pl:level=200hPa,x_wind_pl:level=300hPa)
dv.200-300 = subtract(y_wind_pl:level=200hPa,y_wind_pl:level=300hPa)
dV.200-300 = vector.abs(du.200-300,dv.200-300)
dVdz.200-300 = divide(dV.200-300,dz.200-300)

du.300-500 = subtract(x_wind_pl:level=300hPa,x_wind_pl:level=500hPa)
dv.300-500 = subtract(y_wind_pl:level=300hPa,y_wind_pl:level=500hPa)
dV.300-500 = vector.abs(du.300-500,dv.300-500)
dVdz.300-500 = divide(dV.300-500,dz.300-500)

du.500-700 = subtract(x_wind_pl:level=500hPa,x_wind_pl:level=700hPa)
dv.500-700 = subtract(y_wind_pl:level=500hPa,y_wind_pl:level=700hPa)
dV.500-700 = vector.abs(du.500-700,dv.500-700)
dVdz.500-700 = divide(dV.500-700,dz.500-700)

du.700-850 = subtract(x_wind_pl:level=700hPa,x_wind_pl:level=850hPa)
dv.700-850 = subtract(y_wind_pl:level=700hPa,y_wind_pl:level=850hPa)
dV.700-850 = vector.abs(du.700-850,dv.700-850)
dVdz.700-850 = divide(dV.700-850,dz.700-850)

du.850-925 = subtract(x_wind_pl:level=850hPa,x_wind_pl:level=925hPa)
dv.850-925 = subtract(y_wind_pl:level=850hPa,y_wind_pl:level=925hPa)
dV.850-925 = vector.abs(du.850-925,dv.850-925)
dVdz.850-925 = divide(dV.850-925,dz.850-925)

#Vertical wind shear pr.304.8 m (1000ft)
dVdz.50-200_1000ft = multiply(dVdz.50-200,304.8)
dVdz.200-300_1000ft = multiply(dVdz.200-300,304.8)
dVdz.300-500_1000ft = multiply(dVdz.300-500,304.8)
dVdz.500-700_1000ft = multiply(dVdz.500-700,304.8)
dVdz.700-850_1000ft = multiply(dVdz.700-850,304.8)
dVdz.850-925_1000ft = multiply(dVdz.850-925,304.8)

maxdVdz=max_value(\
        dVdz.50-200_1000ft,\
        dVdz.200-300_1000ft,\
        dVdz.300-500_1000ft,\
        dVdz.500-700_1000ft,\
        dVdz.700-850_1000ft)

##############################

# humidex, see https://en.wikipedia.org/wiki/Humidex
# H=t_air_celsius + 0.5555*(6.11*exp(5417.7530*(1/273.15 - 1/t_dew_kelvin)) - 10)
_H_inv_t_dew=divide(5417.7530,dew_point_temperature_2m:units=K)
_H_exp_arg=subtract(19.83435108914516,_H_inv_t_dew)
_H_exp=exp(_H_exp_arg)
_H_exp_mul=multiply(3.394105,_H_exp)
_H_add_t_air_exp=add(air_temperature_2m:units=celsius,_H_exp_mul)
humidex=subtract(_H_add_t_air_exp,5.555)

</FIELD_COMPUTE>


<FIELD_PLOT>
field=sweat_index
      minvalue=0 line.interval=50
      plot=CONTOUR(sweat.index)
end.field

field=LIFTED-INDEX
      colour=black linetype=solid linewidth=1 line.interval=2.
      plot=CONTOUR(lifted.index)
end.field

field=DCI_sum
      colour=red linetype=solid linewidth=1 line.interval=1. unit=celsius
      plot=CONTOUR(DCI.sum)
end.field

field=Deep_Convection_Index
      colour=blue linetype=solid linewidth=1 line.interval=1. unit=celsius
      plot=CONTOUR(DCI.index)
end.field

field=hor_windshear
    line.interval=10
    plot=CONTOUR(abswindshear)
    color=blue
end.field

field=max_hor_windshear
    line.interval=10
    plot=CONTOUR(maxwindshear)
    color=blue
end.field

loop [P] = 850-925, 700-850, 500-700, 300-500, 200-300, 50-200
field=dVdz_[P]hPa
      colour=red linewidth=2
      line.interval=.5
      plot=CONTOUR(dVdz.[P]_1000ft)
end.field

field=max_dVdz
      colour=red linewidth=2
      line.interval=.5
      plot=CONTOUR(maxdVdz)
end.field

field=humidex
      colour=orange linewidth=1 line.interval=2
      plot=CONTOUR(humidex)
end.field

field=MIN.W
      line.interval=0.5
      plot=CONTOUR(min_w)
end.field
</FIELD_PLOT>


<FIELD_COMPUTE>
# HI = –2.653 + 0.994*TC + 0.368*DC*DC
_Hb_dc2=power(dew_point_temperature_2m:unit=celsius,2)
_Hb_dc2_scaled=multiply(_Hb_dc2,0.368)
_Hb_tc_scaled=multiply(air_temperature_2m:unit=celsius,0.994)
_Hb_added=add(_Hb_dc2_scaled,_Hb_tc_scaled)
HI_Basara=add(_Hb_added,-2.653)

# HIC = 2.719 + 0.994TC + 0.016DC*DC
_Hs_dc2=power(dew_point_temperature_2m:unit=celsius,2)
_Hs_dc2_scaled=multiply(_Hs_dc2,0.016)
_Hs_tc_scaled=multiply(air_temperature_2m:unit=celsius,0.994)
_Hs_added=add(_Hs_dc2_scaled,_Hs_tc_scaled)
HI_Smoyer=add(_Hs_added,2.719)
</FIELD_COMPUTE>

<FIELD_PLOT>
field=humidex_Basara
    palettecolours=standard line.interval=20 repeat=true
    plot=contour(HI_Basara)
end.field

field=humidex_Smoyer
    palettecolours=standard line.interval=1 repeat=true
    plot=contour(HI_Smoyer)
end.field
</FIELD_PLOT>


<FIELD_COMPUTE>
# THI =0.8*T + RH*(T-14.4) + 46.4
_THI_tc_scaled=multiply(air_temperature_2m:unit=celsius,0.8)
_THI_tc_sub=subtract(air_temperature_2m:unit=celsius,14.4)
_THI_rh_tc_sub=multiply(_relative_humidity_2m:unit=1,_THI_tc_sub)
_THI_added=add(_THI_tc_scaled,_THI_rh_tc_sub)
THI=add(_THI_added,46.4)
</FIELD_COMPUTE>

<FIELD_PLOT>
field=thi
   palettecolours=yellow,orange,red,black line.values=72,78,89,98
   plot=contour(THI)
end.field
</FIELD_PLOT>
